Skip to main content
POST
Import OCM burns into a Flight Plan phase

Authorizations

Authorization
string
header
required

API Key (format: vsp_sk_...)

Headers

X-Content-Hash
string
X-Resolution-Fingerprint
string

Query Parameters

spacecraftId
string
required
phaseId
string<uuid>
required

Body

multipart/form-data
files
file[]
required

Response

All files imported

failureCount
integer<int32>

The number of items that failed to import

Example:

1

results
object[]

The individual results for each item in the batch

successCount
integer<int32>

The number of successfully imported items

Example:

3

totalCount
integer<int32>

The total number of items processed

Example:

4